Skip to main content
POST
Search

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

workspaceId
string
required
Minimum string length: 1

Body

application/json
query
string
required
Required string length: 2 - 120
tiers
enum<string>[]
Required array length: 1 - 2 elements
Available options:
workspace,
org
directory
string
Required string length: 1 - 200
Pattern: ^[a-z0-9][a-z0-9/_\-.]*$
maxResults
integer
default:10
Required range: 1 <= x <= 25

Response

200 - application/json

Success

matches
object[]
required
totalMatches
number
required
pagesScanned
number
required
truncated
boolean
required
failedTiers
object[]
required